package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFER6Data {

    private Map<String, Object> params;
    
    public MWFER6Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsCnlId() {
        return (String) params.get("RS_CNL_ID");
    }

    public String rsEmpProcessRoleId() {
        return (String) params.get("RS_EMP_PROCESS_ROLE_ID");
    }

    public String rsEmpRoleIdOut() {
        return (String) params.get("RS_EMP_ROLE_ID_OUT");
    }

    public String rsSsoId() {
        return (String) params.get("RS_SSO_ID");
    }

    public String rsFirstName() {
        return (String) params.get("RS_FIRST_NAME");
    }

    public String rsFamilyName() {
        return (String) params.get("RS_FAMILY_NAME");
    }

    public String rsConsultantId() {
        return (String) params.get("RS_CONSULTANT_ID");
    }

    public String rsConsultantEmprIco() {
        return (String) params.get("RS_CONSULTANT_EMPR_ICO");
    }

    public String rsConsultantEmprName() {
        return (String) params.get("RS_CONSULTANT_EMPR_NAME");
    }

    public Long rsPrimFlag() {
        return (Long) params.get("RS_PRIM_FLAG");
    }

    public String rsConsultantMtsId() {
        return (String) params.get("RS_CONSULTANT_MTS_ID");
    }

    public Long rsEmpRoleKey() {
        return (Long) params.get("RS_EMP_ROLE_KEY");
    }

    public Long rsSalesmanStampFlag() {
        return (Long) params.get("RS_SALESMAN_STAMP_FLAG");
    }

    public String rsPosId() {
        return (String) params.get("RS_POS_ID");
    } 

}
